LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSheetRange Interface Reference

`import"XSheetRange.idl";`

Inheritance diagram for XSheetRange:

## Public Member Functions
any | getSelectionFromString ([in] string aStrRange)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 24.8

## Member Function Documentation

## ◆ getSelectionFromString()

any getSelectionFromString | ( | [in] string | aStrRange | ) |

Returns
  selection from given string range

Example: '2-5,7' returns selection of pages/sheets/slides 2,3,4,5,7

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetRange.idl